# 批量添加资产接口

### 接口概述

该接口用于批量添加系统尚未支持的自定义资产。每次最多可以添加 100 个资产。

* **请求方式**：`POST`
* **请求 URL**：`https://openapi.elven.com/open/v3/asset`

### 请求头参数

<table><thead><tr><th width="202">参数名</th><th width="90">类型</th><th width="64">必填</th><th>说明</th></tr></thead><tbody><tr><td>elven-api-key</td><td>String</td><td>是</td><td>分配给您的API密钥</td></tr><tr><td>elven-api-sign</td><td>String</td><td>是</td><td>请求签名，用于验证请求合法性</td></tr><tr><td>elven-api-timestamp</td><td>String</td><td>是</td><td>请求时间戳，毫秒级</td></tr></tbody></table>

[查看详细说明](https://docs.elven.com/v3/openapi/jie-kou-shou-quan#elven-api-sign)

### 请求参数

<table><thead><tr><th width="160">参数名</th><th width="88">类型</th><th width="68">必填</th><th>说明</th></tr></thead><tbody><tr><td>list</td><td>Array</td><td>是</td><td>包含多条资产信息的数组（每次最多支持 100 条记录）</td></tr></tbody></table>

#### Body 参数（JSON 格式）

**identifications 数组元素**

<table><thead><tr><th width="154">参数名</th><th width="91">类型</th><th width="65">必填</th><th>说明</th></tr></thead><tbody><tr><td>assetName</td><td>String</td><td>是</td><td>资产名称，最大 100 字符。</td></tr><tr><td>symbol</td><td>String</td><td>是</td><td>资产符号，最大 50 字符。仅支持数字、字母、中文、 空格、英文括号、空格以及$</td></tr><tr><td>priceProvider</td><td>String</td><td>否</td><td>价格源选择，为空默认为 <code>NOT_SPECIFIED</code>。可选值：<code>NOT_SPECIFIED</code>/<code>DEFAULT</code></td></tr></tbody></table>

#### 请求示例

```json
{
	"list": [
		{
		    "assetName": "ABC",
		    "symbol": "ABC",
		    "priceProvider": "DEFAULT"
		},
		{
		
		    "assetName": "XYZ",
		    "symbol": "XYZ",
		    "priceProvider": ""	
		}
	]
}
```

### 响应参数

| 参数名       | 类型     | 说明                |
| --------- | ------ | ----------------- |
| status    | String | 请求状态（如 `success`） |
| data      | Array  | 本次创建成功的资产信息       |
| requestId | String | 本次接口调用的 requestId |

#### 响应示例

```json
{
    "status": "success",
    "data": [
        {
            "assetName": "ABC",
            "symbol": "ABC",
            "assetId": "IWG3mw",
            "type": "CRYPTO"
        },
        {
            "assetName": "XYZ",
            "symbol": "XYZ",
            "assetId": "FnObfr",
            "type": "CRYPTO"
        }
    ],
    "requestId": "e1ac5122-6f61-4c5c-8e5a-2d6392dbdbb8"
}
```

### 注意事项

* 请求头中的 **elven-api-key**、**elven-api-sign** 和 **elven-api-timestamp** 为必填参数，用于验证请求的合法性和安全性。
* **assetName** 和 **symbol** 为必填字段，必须提供。


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.elven.com/v3/chinese/openapi/v3/pi-liang-tian-jia-zi-chan-jie-kou.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
